%global pkgvers 0
%global scdate0 20250102
%global schash0 3f7e1193fa1972415e601e9d4888827471a6c15d
%global branch0 master
%global source0 https://github.com/f4exb/sdrangel.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           sdrangel
Version:        %(curl -s https://raw.githubusercontent.com/f4exb/sdrangel/%{schash0}/CMakeLists.txt | grep -e set\(sdrangel_VERSION_MAJOR -e set\(sdrangel_VERSION_MINOR -e set\(sdrangel_VERSION_PATCH | grep -v git | sed 's/[^[:digit:].-]//g' | sed ':a;N;$!ba;s/\n/./g')
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        SDR Rx/Tx software
License:        GPLv3

URL:            https://github.com/f4exb/sdrangel

BuildRequires:  git gcc-c++ cmake doxygen boost-devel libusbx-devel zlib-devel
BuildRequires:  fftw-devel opus-devel uhd-devel libiio-devel hidapi-devel
BuildRequires:  airspyone_host-devel airspyhf-devel bladerf-devel rtl-sdr-devel
BuildRequires:  hackrf-devel limesuite-devel SoapySDR-devel libcm256cc-devel serialdv-devel flac-devel
BuildRequires:  qt5-qtbase-devel qt5-qtbase-private-devel qt5-qtwebsockets-devel qt5-qtmultimedia-devel qt5-qtlocation-devel qt5-qtsvg-devel
BuildRequires:  qt5-qtcharts-devel qt5-qtserialport-devel qt5-qtspeech-devel qt5-qtwebengine-devel qt5-qtgamepad-devel desktop-file-utils
%if 0%{?fedora}
BuildRequires:  apt-devel
%endif
%if 0%{?fedora} || (0%{?rhel} > 8)
BuildRequires:  codec2-devel libsigmf-devel
%endif

%global __cmake_in_source_build 1

%description
SDRangel is an Open Source Qt5 / OpenGL 3.0+ SDR and signal
analyzer frontend to various hardware.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
sed -i 's|-march=${ARCH_OPT}|-mtune=${ARCH_OPT}|g' cmake/Modules/DetectArchitecture.cmake
mkdir build
pushd build
%cmake -Wno-dev .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DARCH_OPT="generic"
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=%{buildroot}
popd
rm -rf %{buildroot}/%{_datadir}/%{name}/Readme.md


%files
%license LICENSE
%doc Readme.md doc
%{_bindir}/*
%{_libdir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}_icon.svg


%changelog
* Sun Apr 24 2022 Cristian Balint <cristian.balint@gmail.com>
- github update releases
